| AOMedia AV1 Codec

Data Fields
PartitionCfg Struct Reference

Encoder config for coding block partitioning. More...

`#include <encoder.h>`

## Data Fields
bool | enable_rect_partitions
bool | enable_ab_partitions
bool | enable_1to4_partitions
BLOCK_SIZE | min_partition_size
BLOCK_SIZE | max_partition_size

## Detailed Description

Encoder config for coding block partitioning.

## Field Documentation

## ◆ enable_rect_partitions

bool PartitionCfg::enable_rect_partitions

Flag to indicate if rectanguar partitions should be enabled.

## ◆ enable_ab_partitions

bool PartitionCfg::enable_ab_partitions

Flag to indicate if AB partitions should be enabled.

## ◆ enable_1to4_partitions

bool PartitionCfg::enable_1to4_partitions

Flag to indicate if 1:4 / 4:1 partitions should be enabled.

## ◆ min_partition_size

BLOCK_SIZE PartitionCfg::min_partition_size

Indicates the minimum partition size that should be allowed. Both width and height of a partition cannot be smaller than the min_partition_size.

## ◆ max_partition_size

BLOCK_SIZE PartitionCfg::max_partition_size

Indicates the maximum partition size that should be allowed. Both width and height of a partition cannot be larger than the max_partition_size.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h